<form (ngSubmit)="onSubmit()">
  <table *ngIf="product">
    <tr>
      <td>Title</td>
      <td>
        <input
          type="text"
          id="title"
          [(ngModel)]="product.title"
          name="title"
          required
        />
      </td>
    </tr>
    <tr>
      <td>Description</td>
      <td>
        <textarea
          type="text"
          id="description"
          [(ngModel)]="product.description"
          name="description"
          required
        >
        </textarea>
      </td>
    </tr>
    <tr>
      <td>Price</td>
      <td>
        <input
          type="number"
          id="price"
          [(ngModel)]="product.price"
          name="price"
          required
        />
      </td>
    </tr>
    <tr>
      <td>Discount</td>
      <td>
        <input
          type="number"
          id="discountPercentage"
          [(ngModel)]="product.discountPercentage"
          name="discountPercentage"
          required
        />
        %
      </td>
    </tr>
    <tr>
      <td>Stock</td>
      <td>
        <input
          type="number"
          id="stock"
          [(ngModel)]="product.stock"
          name="stock"
          required
        />
        Pcs
      </td>
    </tr>
    <tr>
      <td>Brand</td>
      <td>
        <input
          type="text"
          id="brand"
          [(ngModel)]="product.brand"
          name="brand"
          required
        />
      </td>
    </tr>
    <tr>
      <td>Category</td>
      <td>
        <select
          id="category"
          [(ngModel)]="product.category"
          name="category"
          required
        >
          <option *ngFor="let category of categories" [value]="category">
            {{ category }}
          </option>
        </select>
      </td>
    </tr>
    <tr>
      <td>Thumbnail</td>
      <td>
        <input
          type="text"
          id="thumbnail"
          [(ngModel)]="product.thumbnail"
          name="thumbnail"
          required
        />
      </td>
    </tr>
  </table>

  <article>
    <button (click)="back()" class="button-normal">Back</button>
    <button type="submit" class="button-solid">Submit</button>
  </article>
</form>
